<script setup>
import { Vue3SlideUpDown } from 'vue3-slide-up-down';
import Slider from '@vueform/slider';
import {ref} from 'vue';

let firstDown = ref(false);
let secondDown = ref(false);

let number = ref([3990, 233990]);
</script>
<template>
    <div class="marketBottom__center noMobile">

        <div class="profile__box">
            <div class="profile__line js-openClose-menu" @click="secondDown = !secondDown" :class="{active: secondDown}">
                <p class="profile__box-item">Цена</p>
                <div class="profile__line-openClose orange">
                    <div class="profile__line-line"></div>
                    <div class="profile__line-line"></div>
                </div>
            </div>
            <Vue3SlideUpDown class="profile__box-content noMt" v-model="secondDown">
                <Slider
                    v-model="number"
                    :min="3990"
                    :max="233900" />
                <div class="marketBottom__box-ranges">
                    <p class="marketBottom__box-range min">{{ number[0] }}</p>
                    <p class="marketBottom__box-range max">{{ number[1] }}</p>
                </div>
            </Vue3SlideUpDown>
        </div>

        <div class="profile__box">
            <div class="profile__line js-openClose-menu" @click="firstDown = !firstDown" :class="{active: firstDown}">
                <p class="profile__box-item">Редкость</p>
                <div class="profile__line-openClose orange">
                    <div class="profile__line-line"></div>
                    <div class="profile__line-line"></div>
                </div>
            </div>
            <Vue3SlideUpDown class="profile__box-content" v-model="firstDown">
                <div class="marketBottom__checkbox-wrapper">
                    <input
                        class="marketBottom__checkbox"
                        id="filter2"
                        type="checkbox"
                        name="filter"
                    />
                    <label
                        class="marketBottom__checkbox-custom"
                        for="filter2"
                    ></label>
                    <p class="marketBottom__checkbox-text">Тест</p>
                </div>
            </Vue3SlideUpDown>
        </div>

        <div class="profile__box">
            <div class="profile__line js-openClose-menu" @click="firstDown = !firstDown" :class="{active: firstDown}">
                <p class="profile__box-item">Категория</p>
                <div class="profile__line-openClose orange">
                    <div class="profile__line-line"></div>
                    <div class="profile__line-line"></div>
                </div>
            </div>
            <Vue3SlideUpDown class="profile__box-content" v-model="firstDown">
                <div class="marketBottom__checkbox-wrapper">
                    <input
                        class="marketBottom__checkbox"
                        id="filter2"
                        type="checkbox"
                        name="filter"
                    />
                    <label
                        class="marketBottom__checkbox-custom"
                        for="filter2"
                    ></label>
                    <p class="marketBottom__checkbox-text">Тест</p>
                </div>
            </Vue3SlideUpDown>
        </div>

        <a class="marketBottom__center-reset button flex" href="">Применить</a
        ><a class="marketBottom__center-reset button flex" href="">Очистить</a>
    </div>
</template>



<style src="@vueform/slider/themes/default.css"></style>
